commit:     deb1e1713660dd1cc89fbdcd4dc227ab4b2f3187
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu May 27 10:17:12 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu May 27 10:17:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=deb1e171

dev-cpp/folly: add 2021.05.24.00

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-cpp/folly/Manifest                   |  1 +
 dev-cpp/folly/folly-2021.05.24.00.ebuild | 37 ++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-cpp/folly/Manifest b/dev-cpp/folly/Manifest
index 0bc7557ae..880308b5a 100644
--- a/dev-cpp/folly/Manifest
+++ b/dev-cpp/folly/Manifest
@@ -1,2 +1,3 @@
 DIST folly-2021.01.04.00.tar.gz 3281402 BLAKE2B 
d6af10b7bf1297c5fe2a6893e23e10b24d4e3534324da1a13f4910e50fe7cec9d7082af3abb8b74746d63995f16bc33bca3d5c5ce7f2449196f8aaa1ff7ebe7a
 SHA512 
e4849e7d560d30b87fcf0af7c1536b18aa774de803104ccbacc1315e7962ad0c734dd06fe9ccca5b1f9ac97b3848085ef75a7dcdf6a685e24a36765a0aa4a181
 DIST folly-2021.04.19.00.tar.gz 3375288 BLAKE2B 
e230f8ab2d7a654e5fade9564bc53c4486b4adcacf2043007c89d03d1527a1c663766d6c6c562c521cec78bc1641d85b781a994143ed5add9c94d7834e9e85dc
 SHA512 
056edc528bc0c30a4c7f926e08ff682f22b4b85f592213c359550aac5d4c6dd6b5f4e5d266a3fca6cd7fc88b90a6e14b4b613b223b663910544b477b03ac5c04
+DIST folly-2021.05.24.00.tar.gz 3391502 BLAKE2B 
d2ae91ec3a11b01bfa97ea826d326a1b09194ce48dc490d2b77ac82b782244f9003af06b2fe87258e50a6705aecc21cd2a8104926cba4440de401358c4dbea6f
 SHA512 
59b04defea75a8a2f08de8b4611105d2e869264e73ed2893328bff3a21df8059793e3edaaadbe40d7db1c1a4022c950d2a287cf20c74d2fe752924f5e3f4654a

diff --git a/dev-cpp/folly/folly-2021.05.24.00.ebuild 
b/dev-cpp/folly/folly-2021.05.24.00.ebuild
new file mode 100644
index 000000000..0310ffd78
--- /dev/null
+++ b/dev-cpp/folly/folly-2021.05.24.00.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="An open-source C++ library developed and used at Facebook"
+HOMEPAGE="https://github.com/facebook/folly";
+SRC_URI="https://github.com/facebook/folly/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+       app-arch/lz4
+       app-arch/snappy
+       app-arch/zstd
+       dev-cpp/gflags
+       dev-cpp/glog[gflags]
+       dev-libs/boost[context,threads]
+       dev-libs/double-conversion
+       dev-libs/libevent
+       dev-libs/libfmt
+       sys-libs/binutils-libs
+       sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       cmake_src_prepare
+       sed \
+               -e "s/lib CACHE/$(get_libdir) CACHE/" \
+               -e "s/lib\/cmake\/folly CACHE/$(get_libdir)\/cmake\/folly 
CACHE/" \
+               -i CMakeLists.txt || die
+}

Reply via email to